Skip to main content
GET
/
v2
/
transfers
List all Transfers
curl --request GET \
  --url https://api.dots.dev/api/v2/transfers \
  --header 'Authorization: Basic <encoded-value>'
{
  "has_more": true,
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "created": "2023-11-07T05:31:56Z",
      "user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "amount": 123,
      "external_data": {
        "account_id": "<string>",
        "external_id": "<string>"
      },
      "transactions": [
        {
          "id": 123,
          "amount": 123,
          "created": "2023-11-07T05:31:56Z",
          "source_name": "<string>",
          "destination_name": "<string>",
          "metadata": "<string>",
          "transfer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "transfer": "<unknown>"
        }
      ],
      "payout_link_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "metadata": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://dotsdev.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Query Parameters

limit
integer

A limit on the number of objects to be returned, between 1 and 100.

starting_after
string<uuid>

A cursor for use in pagination. starting_after is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with aaa, your subsequent call can include starting_after=aaa in order to fetch the next page of the list.

ending_before
string<uuid>

A cursor for use in pagination. ending_before is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with aaa, your subsequent call can include ending_before=aaa in order to fetch the previous page of the list.

user_id
string<uuid>

Include only results with this user ID attached.

reverse_order
boolean
default:false

Ordering of transfers are by time of creation. Defaults to false, which returns transfers in descending order. Setting to true will return transfers in ascending order.

type
string

Filter transfers by type.

status
string

Filter transfers by status.

start_date
string<date-time>

Filter transfers by start date.

end_date
string<date-time>

Filter transfers by end date.

Response

200 - application/json

OK

has_more
boolean

true if there are more transfers.

data
object[]

Array of transfers.